# TODO: use gtk4-update-icon-cache
Summary:	Contacts manager for GNOME
Summary(pl.UTF-8):	Zarządca kontaktów dla GNOME
Name:		gnome-contacts
Version:	46.0
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	https://download.gnome.org/sources/gnome-contacts/46/%{name}-%{version}.tar.xz
# Source0-md5:	663d4798f467f83ce82e4f4a4c096d52
Patch0:		%{name}-no-update.patch
URL:		https://wiki.gnome.org/Apps/Contacts
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	evolution-data-server-devel >= 3.42
BuildRequires:	folks-devel >= 0.14
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.64
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gtk4-devel >= 4.12
BuildRequires:	libadwaita-devel >= 1.4
BuildRequires:	libgee-devel >= 0.10.0
BuildRequires:	libportal-gtk4-devel >= 0.6
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.59
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	qrencode-devel >= 4.1.1
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.56.11
BuildRequires:	vala-evolution-data-server >= 3.42
BuildRequires:	vala-folks >= 0.14
BuildRequires:	vala-gnome-online-accounts
BuildRequires:	vala-libadwaita >= 1.4
BuildRequires:	vala-libgee >= 0.10.0
BuildRequires:	vala-libportal-gtk4 >= 0.6
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.64
Requires(post,postun):	gtk-update-icon-cache
Requires:	evolution-data-server >= 3.42
Requires:	folks >= 0.14
Requires:	glib2 >= 1:2.64
Requires:	gtk4 >= 4.12
Requires:	libadwaita >= 1.4
Requires:	libportal >= 0.5
Requires:	qrencode-libs >= 4.1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-contacts is a standalone contacts manager for GNOME desktop.

%description -l pl.UTF-8
gnome-contacts to samodzielny zarządca kontaktów dla środowiska GNOME.

%prep
%setup -q
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gnome-contacts
%attr(755,root,root) %{_libexecdir}/gnome-contacts-search-provider
%dir %{_libexecdir}/gnome-contacts
%attr(755,root,root) %{_libexecdir}/gnome-contacts/gnome-contacts-parser
%{_datadir}/dbus-1/services/org.gnome.Contacts.service
%{_datadir}/dbus-1/services/org.gnome.Contacts.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Contacts.search-provider.ini
%{_datadir}/metainfo/org.gnome.Contacts.appdata.xml
%{_desktopdir}/org.gnome.Contacts.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Contacts.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Contacts.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Contacts-symbolic.svg
%{_mandir}/man1/gnome-contacts.1*
%changelog
* Thu May 09 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-contacts.git;a=log;h=master

* Thu May 09 2024 Jakub Bogusz <qboosh@pld-linux.org> 7942fa5
- updated to 46.0

* Sat Mar 02 2024 Jakub Bogusz <qboosh@pld-linux.org> b66762d
- updated to 45.1

* Sat Dec 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 0a31735
- updated to 45.0

* Wed Jul 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 95c43d7
- updated to 44.0

* Mon May 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 42f0bf4
- updated to 43.1; telepathy support has been removed upstream

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 5dd0c28
- updated to 42.0
- added no-update patch (don't require gtk4-update-icon-cache at build time)

* Wed Sep 29 2021 Jakub Bogusz <qboosh@pld-linux.org> cf40a8d
- updated to 41.0

* Thu Apr 01 2021 Jakub Bogusz <qboosh@pld-linux.org> e63d6f0
- updated to 40.0; telepathy builds now

* Sat Nov 07 2020 Jakub Bogusz <qboosh@pld-linux.org> d39e231
- updated to 3.38.1

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 305c378
- updated to 3.38

* Fri Jun 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 78eb32e
- updated to 3.36.2

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 0210e78
- updated to 3.36.1; telepathy is broken now

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> b484e4f
- rebuild with libffi 3.3
- release 2 (by relup.sh)

* Wed Jan 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 6e732f1
- updated to 3.34.1

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 354b1c5
- pl

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> b03fc8a
- updated to 3.34

* Thu Apr 18 2019 Jan Rękorajski <baggins@pld-linux.org> 3507f01
- release 3 (by relup.sh)

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> 5c5b9fe
- release 2 (by relup.sh)

* Fri Feb 01 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 89b7111
- Updated to 3.30.2

* Wed Mar 14 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 45da8da
- Release 2

